# OpalVideoUpdatePicture Class Reference

`#include <vidcodec.h>`

Inheritance diagram for OpalVideoUpdatePicture:

[legend]
Collaboration diagram for OpalVideoUpdatePicture:
[legend]

## Public Member Functions

virtual PString | GetName () const

## Detailed Description

This indicates that a force video picture update is required, that is an Intra or Key frame MUST be sent. This may be called when the system logic requires a scene chage, e.g. when recording a video an Intra frame is required before it can start, the sender must send one.

## Member Function Documentation

virtual PString OpalVideoUpdatePicture::GetName | ( |  | ) | const`[virtual]`

Get the name of the command.

Implements OpalMediaCommand.

Reimplemented in OpalVideoPictureLoss.

The documentation for this class was generated from the following file:

- vidcodec.h